/*
 * JPA entity template
 *
 *
 * Takatuka - Template fuer JPA2 Entitaeten (inklusive Bean Validation)
 *
 * Moeglichkeiten und Einschraenkungen:
 * - Beziehungen werden abgebildet
 * -- es gibt keine 1:1 Beziehungen
 * -- N:M Beziehungen sind immer bidirektional
 * - Vererbung wird nicht unterstuetzt
 * - Support für CustomData
 */
package de.ivu.elect.business.stimmeingabe.entity;

@javax.persistence.NamedQueries(
 {



   
      @javax.persistence.NamedQuery(
     name="STIMMEINGABEFEHLER.ErgebniseingangAndFehlerartBeschreibung",
     query="SELECT s.beschreibung FROM Stimmeingabefehler s WHERE s.stimmeingabe.ergebniseingang = ?1 AND s.fehlerart = ?2",
     hints = {@javax.persistence.QueryHint(name = "org.hibernate.cacheable", value = "true"),
                            @javax.persistence.QueryHint(name = "org.hibernate.flushMode", value = "commit")
             }
   )

                                
         ,   @javax.persistence.NamedQuery(
     name="STIMMEINGABEFEHLER.ErgebniseingangAndFehlerart",
     query="SELECT s FROM Stimmeingabefehler s WHERE s.stimmeingabe.ergebniseingang = ?1 AND s.fehlerart = ?2",
     hints = {@javax.persistence.QueryHint(name = "org.hibernate.cacheable", value = "false"),
                            @javax.persistence.QueryHint(name = "org.hibernate.flushMode", value = "commit")
             }
   )

                
         ,   @javax.persistence.NamedQuery(
     name="STIMMEINGABEFEHLER.ErgebniseingangBeschreibung",
     query="SELECT s.beschreibung FROM Stimmeingabefehler s WHERE s.stimmeingabe.ergebniseingang = ?1",
     hints = {@javax.persistence.QueryHint(name = "org.hibernate.cacheable", value = "true"),
                            @javax.persistence.QueryHint(name = "org.hibernate.flushMode", value = "commit")
             }
   )

                                
         ,   @javax.persistence.NamedQuery(
     name="STIMMEINGABEFEHLER.Ergebniseingang",
     query="SELECT s FROM Stimmeingabefehler s WHERE s.stimmeingabe.ergebniseingang = ?1",
     hints = {@javax.persistence.QueryHint(name = "org.hibernate.cacheable", value = "false"),
                            @javax.persistence.QueryHint(name = "org.hibernate.flushMode", value = "commit")
             }
   )

                
     }
)
@javax.enterprise.inject.Vetoed
@javax.persistence.Entity
@javax.persistence.Table(name = "STIMMEINGABEFEHLER")
// @javax.persistence.IdClass(StimmeingabefehlerPK.class)
    @javax.persistence.EntityListeners(de.ivu.elect.jee.protokollierung.ProtokollEntityListener.class)
    
public
 class Stimmeingabefehler
extends AbstractStimmeingabefehler
  {

  private static final long serialVersionUID = 0L;


  /**
   * default constructor
   */
  public Stimmeingabefehler() {
    super();
  }

    /**
     * @param original
     *
     * @deprecated Sollte nur mit Bedacht genutzt werden, da hier auch die Beziehungen kopiert werden. Deswegen markiert
     *             als Deprecated.
     */
    @Deprecated
    public Stimmeingabefehler(Stimmeingabefehler original){
      original.copyEntity(this);
    }

  /**
   * PRIMARY KEY
   */
  @javax.persistence.Id
  @javax.persistence.Column(name = "stimmeingabefehler_id")
    @javax.persistence.GeneratedValue(strategy = javax.persistence.GenerationType.TABLE, generator = "Stimmeingabefehler")
    @javax.persistence.TableGenerator(name = "Stimmeingabefehler", table = "SEQUENCES", pkColumnName = "sequence_name", pkColumnValue = "Stimmeingabefehler", valueColumnName = "next_val", allocationSize = 1000, initialValue = 0)
    protected java.lang.Long id;

  @Override
  public java.lang.Long getId() {
    return id;
  }

  public void setId(java.lang.Long id) {
    this.id = id;
  }

  @javax.persistence.Transient
  private transient StimmeingabefehlerPK pkCache;

  @Override
  public StimmeingabefehlerPK getPk() {
    if (pkCache==null || pkCache.getId() != id ) {
      pkCache = new StimmeingabefehlerPK(getId());
    }

    return pkCache;
  }

  public static <E extends Stimmeingabefehler> java.util.Map<StimmeingabefehlerPK, E> mappeNachPk(java.util.Collection<E> entities){
    java.util.Map<StimmeingabefehlerPK, E> result = new java.util.HashMap<>();

    for (E entity : entities) {
      result.put(entity.getPk(), entity);
    }

    return result;
  }

  public static <E extends Stimmeingabefehler> java.util.Map<Long, E> mappeNachId(java.util.Collection<E> entities){
    java.util.Map<Long, E> result = new java.util.HashMap<>();

    for (E entity : entities) {
      result.put(entity.getId(), entity);
    }

    return result;
  }



  /**
   * Indikator, ob sich ein Attribut oder eine UNIDIREKTIONALE n:1-Beziehungen geaendert hat
   */
  @javax.persistence.Transient
  protected boolean attributeChanged = false;

  public void setAttributeChanged() {
    attributeChanged = true;
  }

  public boolean isAttributeChanged() {
    return attributeChanged;
  }

  /**
   * Hilfsvariable fuer das Aktualisieren von Beziehungen
   */
  @javax.persistence.Transient
  protected boolean updateRelationship = false;


  public void resetAttributeChanged() {
        hasChangedBeschreibung = false;
          hasChangedErwarteteAnzahlEingabe = false;
          hasChangedFehlerart = false;
          hasChangedStimmeingabePlausiTyp = false;
  
  


    attributeChanged = false;
  }


  /**
   * ATTRIBUTE
   */

    
      @javax.persistence.Column(name = "BESCHREIBUNG", nullable = StimmeingabefehlerConstants.BESCHREIBUNG_NULLABLE, length=StimmeingabefehlerConstants.BESCHREIBUNG_MAX_LENGTH)
        
  protected java.lang.String beschreibung =  null;

  @javax.persistence.Transient
  protected boolean hasChangedBeschreibung = false;

  public boolean hasChangedBeschreibung(){
    return hasChangedBeschreibung;
  }
  
  /**
   * 
   *
   * getter for STIMMEINGABEFEHLER.BESCHREIBUNG
   */
    @Override   public  java.lang.String getBeschreibung() {
        return beschreibung;
      }

  /**
   * 
   *
   * setter for STIMMEINGABEFEHLER.BESCHREIBUNG
   *
   * @param beschreibung
   */
  @Override   public void setBeschreibung( java.lang.String beschreibung) {

       resetTkCache();
                  
                          java.lang.String beschreibungInternal = de.ivu.elect.jee.entity.EntityUtil.trimToNullOrMaxLength(beschreibung, StimmeingabefehlerConstants.BESCHREIBUNG_MAX_LENGTH, getId(), getClass());
                  
       
      boolean thisAttributChanged =
      !de.ivu.elect.jee.entity.EntityUtil.compareObjects(this.beschreibung
      , beschreibungInternal);

      attributeChanged |= thisAttributChanged;

      hasChangedBeschreibung |= thisAttributChanged;

      if (thisAttributChanged) {
      markDirty("beschreibung");
      }


      

       this.beschreibung = beschreibungInternal;

         }

        
  @javax.persistence.Column(name = "ERWARTETE_ANZAHL_EINGABE", nullable = StimmeingabefehlerConstants.ERWARTETE_ANZAHL_EINGABE_NULLABLE, length=StimmeingabefehlerConstants.ERWARTETE_ANZAHL_EINGABE_MAX_LENGTH)
        
  protected java.lang.String erwarteteAnzahlEingabe =  null;

  @javax.persistence.Transient
  protected boolean hasChangedErwarteteAnzahlEingabe = false;

  public boolean hasChangedErwarteteAnzahlEingabe(){
    return hasChangedErwarteteAnzahlEingabe;
  }
  
  /**
   * 
   *
   * getter for STIMMEINGABEFEHLER.ERWARTETE_ANZAHL_EINGABE
   */
  @javax.annotation.Nullable   @Override   public  java.lang.String getErwarteteAnzahlEingabe() {
        return erwarteteAnzahlEingabe;
      }

  /**
   * 
   *
   * setter for STIMMEINGABEFEHLER.ERWARTETE_ANZAHL_EINGABE
   *
   * @param erwarteteAnzahlEingabe
   */
  @Override   public void setErwarteteAnzahlEingabe(@javax.annotation.Nullable  java.lang.String erwarteteAnzahlEingabe) {

       resetTkCache();
                  
                          java.lang.String erwarteteAnzahlEingabeInternal = de.ivu.elect.jee.entity.EntityUtil.trimToNullOrMaxLength(erwarteteAnzahlEingabe, StimmeingabefehlerConstants.ERWARTETE_ANZAHL_EINGABE_MAX_LENGTH, getId(), getClass());
                  
       
      boolean thisAttributChanged =
      !de.ivu.elect.jee.entity.EntityUtil.compareObjects(this.erwarteteAnzahlEingabe
      , erwarteteAnzahlEingabeInternal);

      attributeChanged |= thisAttributChanged;

      hasChangedErwarteteAnzahlEingabe |= thisAttributChanged;

      if (thisAttributChanged) {
      markDirty("erwarteteAnzahlEingabe");
      }


      

       this.erwarteteAnzahlEingabe = erwarteteAnzahlEingabeInternal;

         }

        
    @javax.persistence.Enumerated(javax.persistence.EnumType.STRING)
      @javax.persistence.Column(name = "FEHLERART", nullable = StimmeingabefehlerConstants.FEHLERART_NULLABLE)
    
  protected de.ivu.elect.business.stimmeingabe.entity.Stimmeingabefehlerart fehlerart =  null;

  @javax.persistence.Transient
  protected boolean hasChangedFehlerart = false;

  public boolean hasChangedFehlerart(){
    return hasChangedFehlerart;
  }
  
  /**
   * 
   *
   * getter for STIMMEINGABEFEHLER.FEHLERART
   */
    @Override   public  de.ivu.elect.business.stimmeingabe.entity.Stimmeingabefehlerart getFehlerart() {
        return fehlerart;
      }

  /**
   * 
   *
   * setter for STIMMEINGABEFEHLER.FEHLERART
   *
   * @param fehlerart
   */
  @Override   public void setFehlerart( de.ivu.elect.business.stimmeingabe.entity.Stimmeingabefehlerart fehlerart) {

       resetTkCache();
                  de.ivu.elect.business.stimmeingabe.entity.Stimmeingabefehlerart fehlerartInternal = fehlerart;
       
       
      boolean thisAttributChanged =
      !de.ivu.elect.jee.entity.EntityUtil.compareObjects(this.fehlerart
      , fehlerartInternal);

      attributeChanged |= thisAttributChanged;

      hasChangedFehlerart |= thisAttributChanged;

      if (thisAttributChanged) {
      markDirty("fehlerart");
      }


      

       this.fehlerart = fehlerartInternal;

         }

        
    @javax.persistence.Enumerated(javax.persistence.EnumType.STRING)
      @javax.persistence.Column(name = "STIMMEINGABE_PLAUSI_TYP", nullable = StimmeingabefehlerConstants.STIMMEINGABE_PLAUSI_TYP_NULLABLE)
    
  protected de.ivu.elect.business.stimmeingabe.entity.StimmeingabePlausiTyp stimmeingabePlausiTyp =  de.ivu.elect.business.stimmeingabe.entity.StimmeingabePlausiTyp.UNBEKANNT;

  @javax.persistence.Transient
  protected boolean hasChangedStimmeingabePlausiTyp = false;

  public boolean hasChangedStimmeingabePlausiTyp(){
    return hasChangedStimmeingabePlausiTyp;
  }
  
  /**
   * 
   *
   * getter for STIMMEINGABEFEHLER.STIMMEINGABE_PLAUSI_TYP
   */
    @Override   public  de.ivu.elect.business.stimmeingabe.entity.StimmeingabePlausiTyp getStimmeingabePlausiTyp() {
        return stimmeingabePlausiTyp;
      }

  /**
   * 
   *
   * setter for STIMMEINGABEFEHLER.STIMMEINGABE_PLAUSI_TYP
   *
   * @param stimmeingabePlausiTyp
   */
  @Override   public void setStimmeingabePlausiTyp( de.ivu.elect.business.stimmeingabe.entity.StimmeingabePlausiTyp stimmeingabePlausiTyp) {

       resetTkCache();
                  de.ivu.elect.business.stimmeingabe.entity.StimmeingabePlausiTyp stimmeingabePlausiTypInternal = stimmeingabePlausiTyp;
       
       
      boolean thisAttributChanged =
      !de.ivu.elect.jee.entity.EntityUtil.compareObjects(this.stimmeingabePlausiTyp
      , stimmeingabePlausiTypInternal);

      attributeChanged |= thisAttributChanged;

      hasChangedStimmeingabePlausiTyp |= thisAttributChanged;

      if (thisAttributChanged) {
      markDirty("stimmeingabePlausiTyp");
      }


      

       this.stimmeingabePlausiTyp = stimmeingabePlausiTypInternal;

         }

    
/**
 * Beziehungen N:1 unidirektional
 */

/**
 * Beziehungen N:1 bidirektional
 */
  /**
   * Beziehung N:1 (bidirektional) zu Stimmeingabe
   */
  @javax.persistence.ManyToOne(fetch =  javax.persistence.FetchType.LAZY , optional=false, cascade = {javax.persistence.CascadeType.PERSIST})
  @javax.persistence.JoinColumns(@javax.persistence.JoinColumn(name = "STIMMEINGABE_ID", referencedColumnName="STIMMEINGABE_ID"))
  protected de.ivu.elect.business.stimmeingabe.entity.Stimmeingabe stimmeingabe;

  /**
   * 
   */
  @Override
  public void setStimmeingabe( de.ivu.elect.business.stimmeingabe.entity.Stimmeingabe stimmeingabe){
    resetTkCache();

    try {
      if (!updateRelationship){
        updateRelationship = true;

    

        if (stimmeingabe == null){
          // andere Seite der Beziehung aktualisieren wenn vorher nicht null
          if (this.stimmeingabe != null){
            this.stimmeingabe.removeStimmeingabefehlerByStimmeingabe(this);
          }
        } else {
          // andere Seite der Beziehung aktualisieren
          stimmeingabe.addStimmeingabefehlerByStimmeingabe(this);
        }
        this.stimmeingabe = stimmeingabe;
    
      }
    } finally {
      updateRelationship = false;
    }
  }


/**
* 
* Kein Update der bidirektionalen Beziehung - schneller, aber mit Vorsicht zu genießen
*/
@Override
public void setStimmeingabeOhneUpdateBeziehung( de.ivu.elect.business.stimmeingabe.entity.Stimmeingabe stimmeingabe){
    resetTkCache();
        this.stimmeingabe = stimmeingabe;
    }

  /**
   * 
   */
    @Override
  public de.ivu.elect.business.stimmeingabe.entity.Stimmeingabe getStimmeingabe(){
    return this.stimmeingabe;
  }


  /**
   * Beziehungen 1:N unidirektional (nicht unterstuetzt)
   */

  /**
   * Beziehungen 1:N bidirektional
   */

  /**
   * Beziehungen N:M bidirektional nicht selbstreferenzierend
   */


  /**
   * Beziehungen N:M bidirektional selbstreferenzierend
   */
  

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("Stimmeingabefehler:");
    sb.append(getId());
    sb.append(" (TK: ");
    try {
      sb.append(getTk());
    } catch (Exception e) {
      sb.append(e.getMessage());
    }
    sb.append(")");
    return sb.toString();
}



  /**
   * Kopiert alle Attribute (ausser PK und Version) und UNIDIREKTIONALE n:1-Beziehungen in uebergebene Entitaet.
   *
   * @param other
   *
   * @deprecated Sollte nur mit Bedacht genutzt werden, da hier auch die Beziehungen kopiert werden. Deswegen markiert
   *             als Deprecated.
   */
  @Deprecated
  protected void copyEntity(Stimmeingabefehler other){
                             other.beschreibung = this.beschreibung;
                                other.erwarteteAnzahlEingabe = this.erwarteteAnzahlEingabe;
                                other.fehlerart = this.fehlerart;
                                other.stimmeingabePlausiTyp = this.stimmeingabePlausiTyp;
           
  other.setStimmeingabe(this.getStimmeingabe());
    if (this.transientContext != null && !this.transientContext.isEmpty()) {
      other.getTransientContext().putAll(this.transientContext);
    }
  }



    @Override
    public void copyEntityAttributesToOtherEntity(de.ivu.elect.jee.entity.Entity other) {
      if (other==null){
        return;
      }
      if (other.isInstanceOf(Stimmeingabefehler.class)){
        copyEntityAttributesUsingSetter((Stimmeingabefehler) other.castTo(Stimmeingabefehler.class).getEntity());
      } else {
        throw new IllegalArgumentException("Keine Instanz von Stimmeingabefehler: " + other);
      }
    }

  /**
  * Kopiert alle Attribute (ausser PK und Version)  in uebergebene Entitaet.
  *
  */
  public void copyEntityAttributesUsingSetter(Stimmeingabefehler other){
               other.setBeschreibung(this.beschreibung);
                  other.setErwarteteAnzahlEingabe(this.erwarteteAnzahlEingabe);
                  other.setFehlerart(this.fehlerart);
                  other.setStimmeingabePlausiTyp(this.stimmeingabePlausiTyp);
           if (this.transientContext != null && !this.transientContext.isEmpty()) {
      other.getTransientContext().putAll(this.transientContext);
    }
  }


  /**
   * Kopiert alle veränderten Attribute (ausser PK, CustomData, wenn vorhanden und Version) in uebergebene Entitaet.
   *
   */
  public void copyChangedEntityAttributesUsingSetter(Stimmeingabefehler other){
                       if (hasChangedBeschreibung) {
        other.setBeschreibung(this.beschreibung);
      }
                             if (hasChangedErwarteteAnzahlEingabe) {
        other.setErwarteteAnzahlEingabe(this.erwarteteAnzahlEingabe);
      }
                             if (hasChangedFehlerart) {
        other.setFehlerart(this.fehlerart);
      }
                             if (hasChangedStimmeingabePlausiTyp) {
        other.setStimmeingabePlausiTyp(this.stimmeingabePlausiTyp);
      }
             }





    @javax.persistence.Transient
    private transient StimmeingabefehlerTK tkCache;

    protected void resetTkCache() {
        tkCache = null;
    }

    public StimmeingabefehlerTK getStimmeingabefehlerTK(){
    if (tkCache==null) {
    tkCache = new StimmeingabefehlerTK(

getBeschreibung()
, getFehlerart()


  );}
  return tkCache;
}
    @Override
    public de.ivu.elect.jee.entity.tk.EntityTK getTk() {
       return getStimmeingabefehlerTK();
    }

  @Override
  public StimmeingabefehlerUK getUk(){
    return getStimmeingabefehlerUK();
  }

  @Override
  public Class< ? > getEntityClass() {
    return Stimmeingabefehler.class;
  }

public StimmeingabefehlerUK getStimmeingabefehlerUK(){

   return  new StimmeingabefehlerUK(



  );
}

  @javax.persistence.Transient
  private transient StimmeingabefehlerProperties properties;

  public StimmeingabefehlerProperties getProperties(){
    if (properties == null) {
      properties = new StimmeingabefehlerProperties(this);
    }
    return properties;
  }

  /**
   * @deprecated getProperties() verwenden.
   */
  @Deprecated
  public StimmeingabefehlerProperties getStimmeingabefehlerProperties(){
    return getProperties();
  }

  @Override
  public String getEntityTechnicalName() {
    return StimmeingabefehlerConstants.MESSAGE_KEY_ENTITY_EINZAHL;
  }

  @Override
  public boolean isAenderungenProtokollieren(){
    
    return false;
  }


    @Override
   public void setProtokollierteAttributeMitWerten(java.util.Map<String, de.ivu.elect.jee.protokollierung.AttributWertVorher> werteVorher) {
                                         }

  @Override
  public java.util.Map<String, de.ivu.elect.jee.protokollierung.VorherNachherWert> getProtokollierteAttributeMitWerten() {
    java.util.Map<String,de.ivu.elect.jee.protokollierung.VorherNachherWert> result;
        result = createEmptyProtokollierteAttributeMitWertenMap();
                                                                                            return result;
  }

  @Override
  public void resetProtokollierteAttribute() {
                                                                               }

  @Override
  public  java.util.List<de.ivu.elect.jee.entity.EntityFachlichAbhaengigNode> getFachlichAbhaengigeEntitaeten(){
            java.util.List<de.ivu.elect.jee.entity.EntityFachlichAbhaengigNode> result = new java.util.ArrayList<>();
                    return result;
  }

        
            protected String getInitialDiscriminator() {
              return "STIMMEINGABEFEHLER";
            }

            @Override
            public boolean isInstanceOf(Class<?> clazz) {
            return clazz.isInstance(this);
            }


            @Override
            public <E> de.ivu.elect.jee.entity.EntityContainer<E> castTo(Class<E> clazz) {
                return new de.ivu.elect.jee.entity.EntityContainer<>((E)this); // EntityContainer ist notwendig, da sonst von Hibernate die Entität wieder durch ihren Proxy ersetzt wird...
            }

  public boolean isPersistent() {
    return getId() != null;
  }


   private static final String BASE_CLASS_NAME = "Stimmeingabefehler";
   @Override
   public String getBaseClassName() {
     return BASE_CLASS_NAME;
   }


    @Override
    public boolean equals(Object obj) {
    if (obj == null) {
    return false;
    }

    if (this==obj) {
    return true;
    }


    if (id != null) {
      try {
        return id.longValue() == ((de.ivu.elect.jee.entity.Entity) obj).getId().longValue() && BASE_CLASS_NAME.equals(((de.ivu.elect.jee.entity.Entity) obj).getBaseClassName());
      } catch (Exception ignored) {
        // do nothing
        return false;
      }
    }
   return super.equals(obj);
    }

  @javax.persistence.Transient
  private transient boolean hashCodeBerechnet = false;

  @javax.persistence.Transient
  private transient int hashCode = 0;


  @Deprecated // nur in Unit-Tests verwenden(!)
  public void resetHashCode() {
    hashCodeBerechnet = false;
    hashCode = 0;
  }

  @Override
    public int hashCode() {
      if (hashCodeBerechnet) {
      return hashCode;
    }

    if (id == null) {
      hashCode = super.hashCode();
    } else {
      hashCode = id.hashCode();
    }

    hashCodeBerechnet = true;

    return hashCode;

    }


                            @javax.persistence.Transient
                private transient java.util.Set
            <String> dirtyProperties = null;

                protected void markDirty(String property) {
            
          }

          public java.util.Set
      <String> getDirtyProperties() {
          if (dirtyProperties==null){
          dirtyProperties = new java.util.HashSet<>();
          }
          return dirtyProperties;
          }

          public void clearDirtyProperties(){
          dirtyProperties = null;
          }
          public boolean isHibernateDirty() {
            return dirtyProperties!=null;
          }

      
                public void resetValidation() {
        
    validationResult = null;
        }

        @javax.persistence.Transient
        private transient java.util.Set<de.ivu.elect.jee.entity.EntityConstraintViolation> validationResult;

                    public java.util.Set<de.ivu.elect.jee.entity.EntityConstraintViolation> validateEntity() {
            if (validationResult==null) {
               validationResult  = new java.util.HashSet<>();
                                                                   de.ivu.elect.jee.entity.EntityConstraintCheck.checkNotNull(beschreibung, this, StimmeingabefehlerConstants.MESSAGE_KEY_BESCHREIBUNG_EINZAHL, validationResult);
                                                                          de.ivu.elect.jee.entity.EntityConstraintCheck.checkStringLength(StimmeingabefehlerConstants.BESCHREIBUNG_MAX_LENGTH , 1 ,  beschreibung, this, StimmeingabefehlerConstants.MESSAGE_KEY_BESCHREIBUNG_EINZAHL, validationResult);
                                                                                                   de.ivu.elect.jee.entity.EntityConstraintCheck.checkStringLength(StimmeingabefehlerConstants.ERWARTETE_ANZAHL_EINGABE_MAX_LENGTH ,  erwarteteAnzahlEingabe, this, StimmeingabefehlerConstants.MESSAGE_KEY_ERWARTETE_ANZAHL_EINGABE_EINZAHL, validationResult);
                                                           de.ivu.elect.jee.entity.EntityConstraintCheck.checkNotNull(fehlerart, this, StimmeingabefehlerConstants.MESSAGE_KEY_FEHLERART_EINZAHL, validationResult);
                                                                                           de.ivu.elect.jee.entity.EntityConstraintCheck.checkNotNull(stimmeingabePlausiTyp, this, StimmeingabefehlerConstants.MESSAGE_KEY_STIMMEINGABE_PLAUSI_TYP_EINZAHL, validationResult);
                                                                    }
             return validationResult;
        }

            
        @javax.persistence.Transient
        protected transient java.util.Map<String, Object> transientContext;

        @Override
        public java.util.Map<String, Object> getTransientContext() {
          if (transientContext == null) {
             transientContext = new java.util.HashMap<>();
          }
        return transientContext;

        }
                              }
